Bug 426011 - BadValue (integer parameter out of range for operation)
BadValue (integer parameter out of range for operation)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
card_915G
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-17 14:15 EST by Damian Wrobel
Modified: 2009-12-18 01:01 EST (History)
5 users (show)

See Also:
Fixed In Version: 2.0.12-3.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:01:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/Xorg.0.log (46.52 KB, text/plain)
2007-12-17 14:15 EST, Damian Wrobel
no flags Details
glxinfo output (5.02 KB, text/plain)
2007-12-17 14:18 EST, Damian Wrobel
no flags Details
patch which fixes finding resolutions at startup (972 bytes, patch)
2008-07-10 04:47 EDT, Nils Philippsen
no flags Details | Diff
Program which calls SDL_ListModes() and lists the modes found (672 bytes, text/plain)
2008-07-17 06:53 EDT, Nils Philippsen
no flags Details
Test program for XF86VidModeGetAllModeLines. (1.11 KB, text/x-csrc)
2008-07-17 09:13 EDT, Thomas Woerner
no flags Details

  None (edit)
Description Damian Wrobel 2007-12-17 14:15:08 EST
Description of problem:

bzflag failed to start.


Version-Release number of selected component (if applicable):
bzflag-2.0.8-8.fc8
mesa-libGLU-7.0.1-7.fc8
mesa-libGL-devel-7.0.1-7.fc8
mesa-libGL-7.0.1-7.fc8
mesa-libGLU-devel-7.0.1-7.fc8
xorg-x11-filesystem-7.1-2.fc6
xorg-x11-fonts-misc-7.2-3.fc8
xorg-x11-drv-magictouch-1.0.0.5-5.fc8
xorg-x11-drv-vmware-10.15.2-1.fc8
xorg-x11-drv-magellan-1.1.0-4.fc8
xorg-x11-drv-savage-2.1.3-1.fc8
xorg-x11-drv-mga-1.4.6.1-6.fc8
xorg-x11-drv-sis-0.9.3-4.fc8
xorg-x11-drv-nv-2.1.5-2.fc8
xorg-x11-server-utils-7.3-2.fc8
xorg-x11-utils-7.3-1.fc8
xorg-x11-drv-aiptek-1.0.1-5.fc8
xorg-x11-drv-s3virge-1.9.1-5.fc8
xorg-x11-drv-acecad-1.1.0-5.fc8
xorg-x11-drv-sisusb-0.8.1-9.fc8
xorg-x11-drv-digitaledge-1.1.0-4.fc8
xorg-x11-docs-1.3-1.fc7
xorg-x11-xkb-utils-7.2-3.fc8
xorg-x11-apps-7.3-1.fc8
xorg-x11-proto-devel-7.3-3.fc8
xorg-x11-fonts-ISO8859-1-100dpi-7.2-3.fc8
xorg-x11-drv-vesa-1.3.0-10.fc8
xorg-x11-drv-elographics-1.1.0-4.fc8
xorg-x11-drv-ark-0.6.0-6.fc8
xorg-x11-drv-tek4957-1.1.0-4.fc8
xorg-x11-drv-i128-1.2.1-1.fc8
xorg-x11-drv-amd-0.0-22.20070625.fc8
xorg-x11-drv-fpit-1.1.0-4.fc8
xorg-x11-drv-microtouch-1.1.0-2.fc7
xorg-x11-drv-voodoo-1.1.1-1.fc8
xorg-x11-drv-citron-2.2.0-2.fc7
xorg-x11-drv-cirrus-1.1.0-5.fc8
xorg-x11-drv-siliconmotion-1.5.1-3.fc8
xorg-x11-drv-dynapro-1.1.0-3.fc7
xorg-x11-drv-v4l-0.1.1-8.fc8
xorg-x11-drv-mutouch-1.1.0-5.fc8
xorg-x11-xdm-1.1.6-2.fc8
xorg-x11-drv-ati-6.7.196-4.fc8
xorg-x11-util-macros-1.1.5-1.fc7
xorg-x11-xauth-1.0.2-3.fc8
xorg-x11-font-utils-7.2-2.fc8
xorg-x11-drv-void-1.1.1-6.fc8
xorg-x11-fonts-Type1-7.2-3.fc8
xorg-x11-drv-evdev-1.1.2-5.fc8
xorg-x11-drv-keyboard-1.2.2-2.fc8
xorg-x11-drv-neomagic-1.1.1-4.fc8
xorg-x11-drv-hyperpen-1.1.0-5.fc8
xorg-x11-drv-dmc-1.1.0-3.fc7
xorg-x11-drv-palmax-1.1.0-4.fc8
xorg-x11-drv-ast-0.81.0-6.fc8
xorg-x11-drv-fbdev-0.3.1-4.fc8
xorg-x11-drv-chips-1.1.1-5.fc8
xorg-x11-drv-avivo-0.0.1-6.fc8
xorg-x11-drv-jamstudio-1.1.0-4.fc8
xorg-x11-drv-ur98-1.1.0-4.fc8
xorg-x11-drv-spaceorb-1.1.0-4.fc8
xorg-x11-drv-via-0.2.2-4.fc8
xorg-x11-drv-i740-1.1.0-5.fc8
xorg-x11-drv-cyrix-1.1.0-5.fc8
xorg-x11-drv-summa-1.1.0-4.fc8
xorg-x11-drivers-7.2-9.fc8
xorg-x11-xinit-1.0.7-2.fc8
xorg-x11-fonts-truetype-7.2-3.fc8
xorg-x11-drv-mouse-1.2.3-1.fc8
xorg-x11-drv-nouveau-2.1.5-2.fc8
xorg-x11-drv-i810-2.1.1-7.fc8
xorg-x11-drv-trident-1.2.3-6.fc8
xorg-x11-drv-calcomp-1.1.0-4.fc8
xorg-x11-drv-tdfx-1.3.0-6.fc8
xorg-x11-drv-apm-1.1.1-7.fc8
xorg-x11-drv-glint-1.1.1-7.fc8
xorg-x11-server-Xorg-1.3.0.0-37.fc8
xorg-x11-twm-1.0.3-1.fc8
xorg-x11-xtrans-devel-1.0.3-5.fc8
xorg-x11-fonts-100dpi-7.2-3.fc8
xorg-x11-drv-penmount-1.1.0-3.fc7
xorg-x11-drv-rendition-4.1.3-5.fc8
xorg-x11-drv-nsc-2.8.1-4.fc8
xorg-x11-drv-tseng-1.1.0-7.fc8
xorg-x11-drv-s3-0.5.0-5.fc8
xorg-x11-drv-vmmouse-12.4.3-1.fc8
xorg-x11-drv-dummy-0.2.0-5.fc8

How reproducible:
100%

Steps to Reproduce:
1. just start bzflag
  
Actual results:
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  134 (XFree86-VidModeExtension)
  Minor opcode of failed request:  10 (XF86VidModeSwitchToMode)
  Value in failed request:  0x77
  Serial number of failed request:  148
  Current serial number in output stream:  150


Additional info:

xorg.conf:

# Xorg configuration created by pyxf86config
        
Section "ServerLayout"
        Identifier     "Default Layout"
        Screen      0  "Screen0" 0 0
        InputDevice    "Keyboard0" "CoreKeyboard"
EndSection

Section "InputDevice"
        Identifier  "Keyboard0"
        Driver      "kbd"
        Option      "XkbModel" "pc105"
        Option      "XkbLayout" "pl"
EndSection
                
Section "Device"
        Identifier  "Videocard0"
        Driver      "intel"
EndSection

Section "Screen"
        Identifier "Screen0"
        Device     "Videocard0"
        DefaultDepth     24
        SubSection "Display"
                Viewport   0 0
                Depth     24
        EndSubSection
EndSection
Comment 1 Damian Wrobel 2007-12-17 14:15:08 EST
Created attachment 289794 [details]
/var/log/Xorg.0.log
Comment 2 Damian Wrobel 2007-12-17 14:18:44 EST
Created attachment 289796 [details]
glxinfo output
Comment 3 Nils Philippsen 2007-12-18 04:30:17 EST
Incidentally, I just requested bzflag-2.0.10-1.fc8 to be pushed to
updates-testing. It hasn't got there yet, but you can grab it from:

http://koji.fedoraproject.org/koji/buildinfo?buildID=28319

Please check whether the problem still exists with this version.
Comment 4 Damian Wrobel 2007-12-18 12:06:39 EST
(In reply to comment #3)
The same problem still exists, no changes.
Comment 5 Nils Philippsen 2008-01-07 04:20:47 EST
I suspect that bzflag tries to set a resolution for which your X server isn't
configured. Please create a new attachment with your /etc/X11/xorg.conf (don't
paste it into a comment) and if you have a bzflag configuration file
~/.bzf/2.0/config.cfg, then run the following command and paste its output:

awk '/^[^#].*resolution/ { print; }' ~/.bzf/2.0/config.cfg
Comment 6 Nils Philippsen 2008-01-07 04:21:51 EST
Just noticed you've already pasted your xorg.conf. Please _attach_ your
/var/log/Xorg.0.log instead. Thanks.
Comment 7 Damian Wrobel 2008-01-07 13:28:53 EST
(In reply to comment #6)
> Just noticed you've already pasted your xorg.conf. Please _attach_ your
> /var/log/Xorg.0.log instead. Thanks.
It's also already attached :-). Please see attachment #289794 [details].

(In reply to comment #5)
> ... "if you have a bzflag configuration file ~/.bzf/2.0/config.cfg"
Just for information, I don't have user specific bzflag configuration file.

(In reply to comment #5)
> I suspect that bzflag tries to set a resolution for which your X server isn't
> configured.
It's strange, because a year or two ago, on the same hardware (fedora rawhide -
before the fedora 6 or 7 was released) bzflag run perfectly.
Comment 8 Nils Philippsen 2008-07-09 06:04:52 EDT
I'm rebuilding the current version of bzflag without SDL to work around SDL
breakage in this area.
Comment 9 Nils Philippsen 2008-07-10 04:18:17 EDT
It seems that it was bzflag-induced SDL breakage (bzflag asked SDL to do
something it couldn't, it didn't correctly look for the resolution to set). A
hopefully fixed version builds at the moment.
Comment 10 Nils Philippsen 2008-07-10 04:47:41 EDT
Created attachment 311460 [details]
patch which fixes finding resolutions at startup
Comment 11 Fedora Update System 2008-07-15 08:19:53 EDT
bzflag-2.0.12-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update bzflag'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6182
Comment 12 Damian Wrobel 2008-07-15 16:12:57 EDT
Now I'm using the FC9, thus I've tried to test it using the update version from
rawhide: bzflag-2.0.12-3.fc10.i386 and it gives me the same output:

X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  134 (XFree86-VidModeExtension)
  Minor opcode of failed request:  10 (XF86VidModeSwitchToMode)
  Value in failed request:  0xa7
  Serial number of failed request:  149
  Current serial number in output stream:  151
Comment 13 Nils Philippsen 2008-07-16 02:29:55 EDT
(In reply to comment #12)
> Now I'm using the FC9, thus I've tried to test it using the update version
> from rawhide: bzflag-2.0.12-3.fc10.i386

You really should be testing bzflag-2.0.12-3.fc9 which is available at the same
places. Rawhide packages aren't guaranteed to work on older/stable releases.

> and it gives me the same output:
> 
> X Error of failed request:  BadValue (integer parameter out of range for
operation)
>   Major opcode of failed request:  134 (XFree86-VidModeExtension)
>   Minor opcode of failed request:  10 (XF86VidModeSwitchToMode)
>   Value in failed request:  0xa7
>   Serial number of failed request:  149
>   Current serial number in output stream:  151
> 

Hmm, this works for me now. Please check whether you can reproduce the problem
with a clean test user account (i.e. whether it's a problem in your local
configuration). Please attach a tarball/zip of your ~/.bzf directory (of the
user where you have the problem).
Comment 14 Damian Wrobel 2008-07-16 19:02:01 EDT
(In reply to comment #13)
> (In reply to comment #12)
> You really should be testing bzflag-2.0.12-3.fc9 which is available at the 
I used the rawhide version only because yesterday, the "yum
--enablerepo=updates-testing update bzflag" command didn't return updated
version of the bzflag for the fc9. Nevertheless, today the fc9 version of bzflag
gives exactly the same version.

> Please attach a tarball/zip of your ~/.bzf directory (of the
> user where you have the problem).
As aforementioned in the comment #7, I don't have any user specific
configuration. In other words, I removed the ~/.bzf directory before I run the
bzflag.
Comment 15 Nils Philippsen 2008-07-17 06:52:01 EDT
I could reproduce the problem by removing the .bzf directory as well.

I've found that SDL_ListModes() lists video modes not valid for my display (e.g.
1600x1200 while my max resolution is 1400x1050) which would explain why setting
them doesn't work.

I'll attach a small test program which exhibits the same problem:

nils@wombat:~/test/sdl> ./sdl_listmodes 
mode: 1600 x 1200
mode: 1400 x 1050
mode: 1280 x 1024
mode: 1280 x 960
mode: 1152 x 864
mode: 1024 x 768
mode: 832 x 624
mode: 800 x 600
mode: 720 x 400
mode: 640 x 480
mode: 640 x 400
mode: 640 x 350

Thomas, would you please check why it finds these illegal resolutions? Thanks.
Comment 16 Nils Philippsen 2008-07-17 06:53:53 EDT
Created attachment 312030 [details]
Program which calls SDL_ListModes() and lists the modes found

build with:

make CFLAGS="`sdl-config --cflags`" LDFLAGS="`sdl-config --libs`" sdl_listmodes
Comment 17 Nils Philippsen 2008-07-17 06:55:01 EDT
NB: this is SDL-1.2.13-3.fc9.x86_64
Comment 18 Thomas Woerner 2008-07-17 09:13:00 EDT
Created attachment 312048 [details]
Test program for XF86VidModeGetAllModeLines.

Build with: gcc -O -g -Wall -o x11_modelines x11_modelines.c -lX11 -lXxf86vm

Are there illegal resolutions in the output for you?
Comment 19 Nils Philippsen 2008-07-17 12:50:13 EDT
It seems to be the case (1600x1200 again):

nils@wombat:~/test/sdl> ./x11_modelines 
selected mode: 1400x1050

mode 0: 1400x1050
mode 1: 1600x1200
mode 2: 1600x1200
mode 3: 1600x1200
mode 4: 1600x1200
mode 5: 1600x1200
mode 6: 1600x1200
mode 7: 1600x1200
mode 8: 1600x1200
mode 9: 1600x1200
mode 10: 1400x1050
mode 11: 1280x1024
mode 12: 1280x1024
mode 13: 1280x1024
mode 14: 1280x960
mode 15: 1280x960
mode 16: 1152x864
mode 17: 1024x768
mode 18: 1024x768
mode 19: 1024x768
mode 20: 1024x768
mode 21: 1024x768
mode 22: 832x624
mode 23: 800x600
mode 24: 800x600
mode 25: 800x600
mode 26: 800x600
mode 27: 800x600
mode 28: 640x480
mode 29: 640x480
mode 30: 640x480
mode 31: 640x480
mode 32: 640x480
mode 33: 640x480
mode 34: 640x480
mode 35: 640x480
mode 36: 720x400
mode 37: 640x400
mode 38: 640x350
Comment 20 Damian Wrobel 2008-07-17 15:47:04 EDT
If it could help somehow, the output from x11_modelines 
on my machine is as follows:

selected mode: 1600x1200

mode 0: 1600x1200
mode 1: 2048x1536
mode 2: 1920x1440
mode 3: 1920x1440
mode 4: 1920x1440
mode 5: 1856x1392
mode 6: 1856x1392
mode 7: 1792x1344
mode 8: 1792x1344
mode 9: 1600x1200
mode 10: 1600x1200
mode 11: 1600x1200
mode 12: 1600x1200
mode 13: 1600x1200
mode 14: 1600x1200
mode 15: 1600x1200
mode 16: 1400x1050
mode 17: 1400x1050
mode 18: 1280x1024
mode 19: 1280x1024
mode 20: 1280x1024
mode 21: 1280x1024
mode 22: 1280x1024
mode 23: 1280x960
mode 24: 1280x960
mode 25: 1152x864
mode 26: 1024x768
mode 27: 1024x768
mode 28: 1024x768
mode 29: 1024x768
mode 30: 1024x768
mode 31: 1024x768
mode 32: 832x624
mode 33: 800x600
mode 34: 800x600
mode 35: 800x600
mode 36: 800x600
mode 37: 800x600
mode 38: 800x600
mode 39: 640x480
mode 40: 640x480
mode 41: 640x480
mode 42: 640x480
mode 43: 640x480
mode 44: 640x480
mode 45: 640x480
mode 46: 640x480
mode 47: 720x400
mode 48: 720x400
mode 49: 720x400
mode 50: 640x400
mode 51: 640x350
Comment 21 Nils Philippsen 2008-07-18 05:18:40 EDT
Damian, what X11 driver do you use? And do you have custom set modes in
/etc/X11/xorg.conf (e.g. 'Modes    "1400x1050" "1360x768" "1280x1024" "1280x960"
"1280x800" "1280x720" "1152x864" "1152x768" "1024x768" "800x600" "640x480"' in
the Screen/Display section)?
Comment 22 Damian Wrobel 2008-07-20 11:17:11 EDT
(In reply to comment #21)
> Damian, what X11 driver do you use?
intel
> And do you have custom set modes.
No, I don't have any. Please find the dump of my xorg.conf configuration file in
the beginning of this issue. 

Comment 23 Fedora Update System 2008-07-23 03:08:49 EDT
bzflag-2.0.12-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Nils Philippsen 2008-07-23 03:18:05 EDT
Argh, this shouldn't have been closed by the bzflag update.
Comment 25 Fedora Update System 2008-07-23 03:19:13 EDT
bzflag-2.0.12-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Thomas Woerner 2008-08-18 11:48:51 EDT
This is not a SDL problem, reassigning to xorg-x11.
Comment 28 Bug Zapper 2009-06-09 19:17:59 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 29 Damian Wrobel 2009-06-10 13:02:30 EDT
(In reply to comment #28)

> If you would still like to see this bug fixed and are able to reproduce it 
> against a later version of Fedora please change the 'version' of this 
> bug to the applicable version.

The same problem still happens on FC10 (bzflag.i386 0:2.0.12-3.fc10):

$ bzflag
X Error of failed request:  BadValue (integer parameter out of range for operation)
  Major opcode of failed request:  134 (XFree86-VidModeExtension)
  Minor opcode of failed request:  10 (XF86VidModeSwitchToMode)
  Value in failed request:  0x9d
  Serial number of failed request:  149
  Current serial number in output stream:  151
Comment 30 Bug Zapper 2009-11-18 07:23:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 31 Bug Zapper 2009-12-18 01:01:44 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.